#include <bits/stdc++.h>
using namespace std;
int n,a[200010],k,sum;
int main () {
    cin>>n>>k;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    if(k==0){
        for(int i=1;i<=n;i++){
            sum+=a[i];
        }
    }
    cout<<sum%1000000007<<endl;
    return 0;
}